Bug 1060443 - Review Request: xfdashboard - GNOME shell like dashboard for Xfce
Review Request: xfdashboard - GNOME shell like dashboard for Xfce
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-01 15:04 EST by Mukundan Ragavan
Modified: 2015-07-21 08:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-21 20:36:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mukundan Ragavan 2014-02-01 15:04:21 EST
Spec URL: http://nonamedotc.fedorapeople.org/pkgreview/xfdashboard/xfdashboard.spec
SRPM URL: http://nonamedotc.fedorapeople.org/pkgreview/xfdashboard/xfdashboard-0.1.3-1.fc20.src.rpm

Description: 
GNOME shell like dashboard for Xfce

Fedora Account System Username: nonamedotc

koji scratch build - https://koji.fedoraproject.org/koji/taskinfo?taskID=6480101

rpmlint ~/rpmbuild/SPECS/xfdashboard.spec xfdashboard-*.rpm
xfdashboard.x86_64: W: no-documentation
xfdashboard.x86_64: W: no-manual-page-for-binary xfdashboard
3 packages and 1 specfiles checked; 0 errors, 2 warnings.
Comment 1 Kevin Fenzi 2014-02-02 14:53:22 EST
So, some general comments here before I look at reviewing. ;) 

* 1.3 isn't actually out yet. I'd suggest packaging 1.2 until it is... if there's some compelling reason to do a 1.3 prerelease, you will need to change the release to handle a prerelease version. See: 
https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages

* I'm not sure the Requires you have are needed. Does it really need xfce4-session and xfdesktop? 

* You may want to include some %doc files... ChangeLog, COPYING, and various others
Comment 2 Mukundan Ragavan 2014-02-02 15:40:09 EST
Hi Kevin, 

Thanks for your comments.


> * 1.3 isn't actually out yet. I'd suggest packaging 1.2 until it is... if
> there's some compelling reason to do a 1.3 prerelease, you will need to
> change the release to handle a prerelease version. See: 
> https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-
> Release_packages

Corrected this. I have used 0.1.2 correctly this time.
 
> * I'm not sure the Requires you have are needed. Does it really need
> xfce4-session and xfdesktop? 

I had a strange logic for adding this Requires (this being a package to be used with Xfce). :) Removed the Requires.


> * You may want to include some %doc files... ChangeLog, COPYING, and various
> others

I have added %doc files. I have also included TODO. I cannot find any regulations about that - is it fine to include TODO?


New SPEC URL: http://nonamedotc.fedorapeople.org/pkgreview/xfdashboard/xfdashboard.spec
New SRPM URL: http://nonamedotc.fedorapeople.org/pkgreview/xfdashboard/xfdashboard-0.1.2-2.fc20.src.rpm
Comment 3 Kevin Fenzi 2014-02-08 13:41:37 EST
Look for a full review later today or tomorrow...
Comment 4 Kevin Fenzi 2014-02-08 14:20:39 EST
Issues: 

1. Might ask upstream to include a copy of the GPL in a COPYING file. 
(Someone else already did a while back, but he's not done it yet)
(non blocking)

2. Things seem to be building with silent/non verbose mode. Ie: 
  CC       xfdashboard-enums.o
Where we want to see the full compiler line so we can see if it's using
the correct compiler flags. You may need to patch things or just adjust
how you call autogen. We can probibly manually check the compiler flags
but it would be good to fix this now so it's done moving forward. 

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v2 or later)", "GPL (v2 or later)". Detailed output
     of licensecheck in
     /home/fedora/kevin/1060443-xfdashboard/licensecheck.txt
[!]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 92160 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xfdashboard-0.1.2-2.fc21.x86_64.rpm
          xfdashboard-0.1.2-2.fc21.src.rpm
xfdashboard.x86_64: W: no-manual-page-for-binary xfdashboard
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint xfdashboard
xfdashboard.x86_64: W: no-manual-page-for-binary xfdashboard
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
xfdashboard (rpmlib, GLIBC filtered):
    libX11.so.6()(64bit)
    libXcomposite.so.1()(64bit)
    libXdamage.so.1()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libclutter-1.0.so.0()(64bit)
    libcogl.so.19()(64bit)
    libdbus-glib-1.so.2()(64bit)
    libgarcon-1.so.0()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libwnck-1.so.22()(64bit)
    libxfconf-0.so.2()(64bit)
    rtld(GNU_HASH)



Provides
--------
xfdashboard:
    xfdashboard
    xfdashboard(x86-64)



Source checksums
----------------
https://github.com/gmc-holle/xfdashboard/archive/0.1.2.tar.gz :
  CHECKSUM(SHA256) this package     : 786684fdded1919e9f9c9dff540f1db93696759ab200341351446649868300d1
  CHECKSUM(SHA256) upstream package : 786684fdded1919e9f9c9dff540f1db93696759ab200341351446649868300d1


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1060443
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 5 Mukundan Ragavan 2014-02-08 20:43:51 EST
(In reply to Kevin Fenzi from comment #4)
> Issues: 
> 
> 1. Might ask upstream to include a copy of the GPL in a COPYING file. 
> (Someone else already did a while back, but he's not done it yet)
> (non blocking)
> 

Done! I have sent the author an email. I have also enquired if he would like me to open an issue in Github instead.


> 2. Things seem to be building with silent/non verbose mode. Ie: 
>   CC       xfdashboard-enums.o
> Where we want to see the full compiler line so we can see if it's using
> the correct compiler flags. You may need to patch things or just adjust
> how you call autogen. We can probibly manually check the compiler flags
> but it would be good to fix this now so it's done moving forward. 
> 

I think - Done! :)

I have added V=1 to make. mock seems to indicate it works. 

Updated SPEC: http://nonamedotc.fedorapeople.org/pkgreview/xfdashboard/xfdashboard.spec

Updated SRPM: http://nonamedotc.fedorapeople.org/pkgreview/xfdashboard/xfdashboard-0.1.2-2.fc20.src.rpm

mock build.log using the SRPM from above: http://nonamedotc.fedorapeople.org/pkgreview/xfdashboard/build.log

Thanks again for your comments, Kevin. Much appreciated.
Comment 6 Kevin Fenzi 2014-02-09 13:28:37 EST
1. great. 

2. Ok, now that we have verbose build info we can see that it's not using our default flags. ;( 

You can look at the macros directly in the redhat-rpm-macros package, or on any fedora machine: 

rpm --showrc | grep global_cflags
__global_cflags	-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches

You may be able to pass this in with a 'export CFLAGS=%{optflags}' or the like...
Comment 7 Mukundan Ragavan 2014-02-09 22:30:35 EST
./configure with Fedora default flags throws up error.

http://paste.fedoraproject.org/75748/92002850/

I am looking into this and based on the interactions on #fedora-devel, I have also contacted the author for his thoughts.
Comment 8 Christopher Meng 2014-02-09 22:39:33 EST
(In reply to Mukundan Ragavan from comment #7)
> ./configure with Fedora default flags throws up error.
> 
> http://paste.fedoraproject.org/75748/92002850/
> 
> I am looking into this and based on the interactions on #fedora-devel, I
> have also contacted the author for his thoughts.

Remove %{?_smp_mflags} and retry.

Besides:

1. Leave a blank line between each changelog.

2. checking for IceConnectionNumber in -lICE... no

3. description is too poor, please improve. Don't forget the dot at the end.

4. %setup -q -n %{name}-%{version}

equals to 

%setup -q
Comment 9 Kevin Fenzi 2014-02-10 10:51:39 EST
(In reply to Mukundan Ragavan from comment #7)
> ./configure with Fedora default flags throws up error.
> 
> http://paste.fedoraproject.org/75748/92002850/
> 
> I am looking into this and based on the interactions on #fedora-devel, I
> have also contacted the author for his thoughts.

Thats not the way I meant to pass it. Sorry for being unclear... 

...
%build
export CFLAGS="%{optflags}"
./autogen.sh --prefix=%{_prefix}
make %{?_smp_mflags} V=1
...

works fine here and gets the proper flags I think?
Comment 10 Mukundan Ragavan 2014-02-10 11:17:42 EST
Yup! That fixes it. :)

I have also addressed Christopher Meng's other comments. I am looking at Christopher Meng's comment 2 now - IceConnectionNumber. Once I fix that, I will upload the new spec and source rpm.
Comment 11 Mukundan Ragavan 2014-02-10 12:56:33 EST
Changes made - 

* Fixed the changelog
* Added BuildRequires:  libICE-devel
* Added more detailed description
* Changed to %setup -q 
* Added export CFLAGS="%{optflags}" in %build

Now, it compiles with the correct flags and generates binary rpms.

mock build log: http://paste.fedoraproject.org/75896/54609139


URLs:

updated SPEC URL: http://nonamedotc.fedorapeople.org/pkgreview/xfdashboard/xfdashboard.spec
updated SRPM URL: http://nonamedotc.fedorapeople.org/pkgreview/xfdashboard/xfdashboard-0.1.2-3.fc20.src.rpm


Rpmlint:

$ rpmlint xfdashboard.spec ../SRPMS/xfdashboard-0.1.2-3.fc20.src.rpm /var/lib/mock/fedora-rawhide-x86_64/result/xfdashboard-*rpm
xfdashboard.x86_64: W: no-manual-page-for-binary xfdashboard
4 packages and 1 specfiles checked; 0 errors, 1 warnings.
Comment 12 Kevin Fenzi 2014-02-10 18:49:28 EST
ok. Thats the last blocker I see, so this package is APPROVED. 

I will go ahead and sponsor you. Welcome to the packager fun!

If you have any questions feel free to ask here or in email... I'd also be happy to help co-maintain this package when you request scm for it. (my fas name is 'kevin').
Comment 13 Mukundan Ragavan 2014-02-10 18:55:40 EST
New Package SCM Request
=======================
Package Name: xfdashboard
Short Description: GNOME shell like dahsboard for Xfce
Owners: nonamedotc kevin
Branches: f19 f20
InitialCC:
Comment 14 Mukundan Ragavan 2014-02-10 18:58:39 EST
Thanks kevin for sponsoring me. :)
Comment 15 Jon Ciesla 2014-02-11 08:16:55 EST
Git done (by process-git-requests).
Comment 16 Fedora Update System 2014-02-11 12:01:22 EST
xfdashboard-0.1.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xfdashboard-0.1.2-3.fc19
Comment 17 Fedora Update System 2014-02-11 12:02:15 EST
xfdashboard-0.1.2-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xfdashboard-0.1.2-3.fc20
Comment 18 Fedora Update System 2014-02-11 18:44:30 EST
xfdashboard-0.1.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xfdashboard-0.1.3-1.fc19
Comment 19 Fedora Update System 2014-02-11 18:45:07 EST
xfdashboard-0.1.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xfdashboard-0.1.3-1.fc20
Comment 20 Fedora Update System 2014-02-21 19:49:08 EST
xfdashboard-0.1.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2014-02-21 20:02:05 EST
xfdashboard-0.1.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Mukundan Ragavan 2014-06-11 10:29:24 EDT
Package Change Request
======================
Package Name: xfdashboard
New Branches: epel7
Owners: nonamedotc
Comment 23 Jon Ciesla 2014-06-11 17:03:55 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.